Send message
curl --request POST \
--url https://inboxapp.com/api/v2/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": {
"type": "thread",
"threadId": "<string>"
},
"content": "<string>",
"replyToMessageId": "<string>"
}
'import requests
url = "https://inboxapp.com/api/v2/messages"
payload = {
"target": {
"type": "thread",
"threadId": "<string>"
},
"content": "<string>",
"replyToMessageId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target: {type: 'thread', threadId: '<string>'},
content: '<string>',
replyToMessageId: '<string>'
})
};
fetch('https://inboxapp.com/api/v2/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"id": "<string>",
"threadId": "<string>",
"accountLinkId": "<string>",
"platform": "twitter",
"platformId": "<string>",
"direction": "inbound",
"sentBy": {
"type": "member",
"memberId": "<string>",
"member": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"content": "<string>",
"entities": {
"urls": [
{
"url": "<string>",
"displayUrl": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"postShares": [
{
"platformId": "<string>",
"url": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"mentions": [
{
"username": "jane",
"displayName": "<string>",
"platformId": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"hashtags": [
{
"tag": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"cashtags": [
{
"symbol": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"format": [
{
"kind": "bold",
"indices": {
"start": 123,
"end": 123
}
}
]
},
"attachments": [
{
"index": 123,
"kind": "image",
"filename": "<string>",
"contentType": "image/jpeg",
"sizeBytes": 123,
"width": 123,
"height": 123,
"aspectRatio": 123,
"durationSeconds": 123,
"status": "ready",
"url": "<string>",
"expiresAt": "2026-09-14T10:32:00.000Z",
"poster": {
"url": "<string>",
"expiresAt": "2026-09-14T10:32:00.000Z",
"width": 123,
"height": 123
}
}
],
"forwarded": {
"content": "<string>"
},
"reactions": [
{
"emoji": "<string>",
"author": {
"type": "accountLink",
"accountLinkId": "<string>",
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"createdAt": "2026-09-14T10:32:00.000Z"
}
],
"editedAt": "2026-09-14T10:32:00.000Z",
"deletedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"encrypted": true
},
"replyTo": {
"messageId": "<string>",
"platformId": "<string>",
"content": "<string>",
"authorName": "<string>",
"message": "<unknown>"
},
"thread": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"accountLinkId": "<string>",
"profileId": "<string>",
"contactId": "<string>",
"assigneeId": "<string>",
"isRequest": true,
"acceptanceState": "required",
"archived": true,
"unread": true,
"restrictions": [
"message:send"
],
"syncing": true,
"typingIndicators": "enabled",
"lastMessage": {
"id": "<string>",
"direction": "inbound",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"activity": {
"preview": "<string>",
"direction": "inbound",
"at": "2026-09-14T10:32:00.000Z"
},
"createdAt": "2026-09-14T10:32:00.000Z",
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"profile": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
},
"contact": {
"id": "<string>",
"profiles": [
{
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
}
],
"statusId": "<string>",
"tagIds": [
"<string>"
],
"notes": "<string>",
"valuation": 123,
"assigneeId": "<string>",
"createdAt": "2026-09-14T10:32:00.000Z",
"updatedAt": "2026-09-14T10:32:00.000Z",
"status": {
"id": "<string>",
"name": "<string>",
"color": "#3b82f6",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "#3b82f6"
}
],
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"thread": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"accountLinkId": "<string>",
"profileId": "<string>",
"contactId": "<string>",
"assigneeId": "<string>",
"isRequest": true,
"acceptanceState": "required",
"archived": true,
"unread": true,
"restrictions": [
"message:send"
],
"syncing": true,
"typingIndicators": "enabled",
"lastMessage": {
"id": "<string>",
"direction": "inbound",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"activity": {
"preview": "<string>",
"direction": "inbound",
"at": "2026-09-14T10:32:00.000Z"
},
"createdAt": "2026-09-14T10:32:00.000Z",
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"profile": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
},
"contact": {
"id": "<string>",
"profiles": [
{
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
}
],
"statusId": "<string>",
"tagIds": [
"<string>"
],
"notes": "<string>",
"valuation": 123,
"assigneeId": "<string>",
"createdAt": "2026-09-14T10:32:00.000Z",
"updatedAt": "2026-09-14T10:32:00.000Z",
"status": {
"id": "<string>",
"name": "<string>",
"color": "#3b82f6",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "#3b82f6"
}
],
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
}
}{
"message": {
"id": "<string>",
"threadId": "<string>",
"accountLinkId": "<string>",
"platform": "twitter",
"platformId": "<string>",
"direction": "inbound",
"sentBy": {
"type": "member",
"memberId": "<string>",
"member": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"content": "<string>",
"entities": {
"urls": [
{
"url": "<string>",
"displayUrl": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"postShares": [
{
"platformId": "<string>",
"url": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"mentions": [
{
"username": "jane",
"displayName": "<string>",
"platformId": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"hashtags": [
{
"tag": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"cashtags": [
{
"symbol": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"format": [
{
"kind": "bold",
"indices": {
"start": 123,
"end": 123
}
}
]
},
"attachments": [
{
"index": 123,
"kind": "image",
"filename": "<string>",
"contentType": "image/jpeg",
"sizeBytes": 123,
"width": 123,
"height": 123,
"aspectRatio": 123,
"durationSeconds": 123,
"status": "ready",
"url": "<string>",
"expiresAt": "2026-09-14T10:32:00.000Z",
"poster": {
"url": "<string>",
"expiresAt": "2026-09-14T10:32:00.000Z",
"width": 123,
"height": 123
}
}
],
"forwarded": {
"content": "<string>"
},
"reactions": [
{
"emoji": "<string>",
"author": {
"type": "accountLink",
"accountLinkId": "<string>",
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"createdAt": "2026-09-14T10:32:00.000Z"
}
],
"editedAt": "2026-09-14T10:32:00.000Z",
"deletedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"encrypted": true
},
"replyTo": {
"messageId": "<string>",
"platformId": "<string>",
"content": "<string>",
"authorName": "<string>",
"message": "<unknown>"
},
"thread": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"accountLinkId": "<string>",
"profileId": "<string>",
"contactId": "<string>",
"assigneeId": "<string>",
"isRequest": true,
"acceptanceState": "required",
"archived": true,
"unread": true,
"restrictions": [
"message:send"
],
"syncing": true,
"typingIndicators": "enabled",
"lastMessage": {
"id": "<string>",
"direction": "inbound",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"activity": {
"preview": "<string>",
"direction": "inbound",
"at": "2026-09-14T10:32:00.000Z"
},
"createdAt": "2026-09-14T10:32:00.000Z",
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"profile": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
},
"contact": {
"id": "<string>",
"profiles": [
{
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
}
],
"statusId": "<string>",
"tagIds": [
"<string>"
],
"notes": "<string>",
"valuation": 123,
"assigneeId": "<string>",
"createdAt": "2026-09-14T10:32:00.000Z",
"updatedAt": "2026-09-14T10:32:00.000Z",
"status": {
"id": "<string>",
"name": "<string>",
"color": "#3b82f6",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "#3b82f6"
}
],
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"thread": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"accountLinkId": "<string>",
"profileId": "<string>",
"contactId": "<string>",
"assigneeId": "<string>",
"isRequest": true,
"acceptanceState": "required",
"archived": true,
"unread": true,
"restrictions": [
"message:send"
],
"syncing": true,
"typingIndicators": "enabled",
"lastMessage": {
"id": "<string>",
"direction": "inbound",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"activity": {
"preview": "<string>",
"direction": "inbound",
"at": "2026-09-14T10:32:00.000Z"
},
"createdAt": "2026-09-14T10:32:00.000Z",
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"profile": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
},
"contact": {
"id": "<string>",
"profiles": [
{
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
}
],
"statusId": "<string>",
"tagIds": [
"<string>"
],
"notes": "<string>",
"valuation": 123,
"assigneeId": "<string>",
"createdAt": "2026-09-14T10:32:00.000Z",
"updatedAt": "2026-09-14T10:32:00.000Z",
"status": {
"id": "<string>",
"name": "<string>",
"color": "#3b82f6",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "#3b82f6"
}
],
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
}
}{
"code": "invalidRequest",
"message": "<string>",
"details": {
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
},
"requestId": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformNotAvailable",
"message": "<string>",
"details": {
"platform": "twitter"
},
"requestId": "<string>"
}{
"code": "threadNotFound",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "sendInProgress",
"message": "<string>",
"details": {
"messageId": "<string>"
},
"requestId": "<string>"
}{
"code": "idempotencyKeyReused",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformRateLimited",
"message": "<string>",
"details": {
"retryAfterSeconds": 123
},
"requestId": "<string>"
}{
"code": "internal",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "sendUnconfirmed",
"message": "<string>",
"details": {
"messageId": "<string>"
},
"requestId": "<string>"
}{
"code": "platformUnavailable",
"message": "<string>",
"details": {
"retryAfterSeconds": 123
},
"requestId": "<string>"
}Messages
Send message
201 for a new send. A replay of an Idempotency-Key returns the original result with 200.
POST
/
messages
Send message
Headers
Makes retries safe: a replay with the same key and body returns the original message. Scoped to the team.
Required string length:
1 - 255Pattern:
^[\x20-\x7E]+$Example:
"order-4821-followup"
Body
application/json
An existing thread.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Up to the platform's limits.characters. Longer content fails with contentRejected.
Minimum string length:
1A message in the thread this send lands in, to reply to.
Pattern:
^[0-9a-z]+$Was this page helpful?